.DEFAULT_GOAL := build

fmt:
	@go fmt ./...
.PHONY:fmt

vet: fmt
	@go vet ./...
.PHONY:vet

test:
	@mkdir -p artifacts/test
	@go clean -testcache
# first, run tests with stdout
	@go test -cover ./...
# second, run cached tests with reports output
	@go test ./... -coverprofile artifacts/test/coverage.out -json > artifacts/test/coverage.json
	@go tool cover -html artifacts/test/coverage.out -o artifacts/test/coverage.html

build: vet
	@go build -o artifacts/bin/server ./cmd/http/
.PHONY:build

run-server: build
	@STORAGE_PATH=~/galaxy-server ./artifacts/bin/server

# Supplemental goals

launch:
	@mkdir -p artifacts
	@go build -o artifacts/client-ui-0.0.0-windows-amd64-executable.exe ./client/cmd/ui/
